<template>
            <div class=" d-md-flex align-items-center flex-wrap justify-content-center mt-4 p-3 pb-3 contenedorPrincipal">
                        <label class="form-label mx-2">Fecha Desde:</label>
                        <input type="date" v-model="data.fecha_desde" class="form-label" id="fecha_desde" autocomplete="off"/>
                        <label class="form-label mx-2">Fecha Hasta:</label> 
                        <input type="date" v-model="data.fecha_hasta" class="form-label" id="fecha_hasta" autocomplete="off"/>
           
                <button type="button" class="btn btn-principal px-2 mx-4" @click="busquedaCupos()">
                    <i class="bi bi-search"></i>
                </button>
            </div>
</template>

<script setup lang="ts">
//librerias
import { reactive, watch , onMounted } from "vue";
/* import { computed, type ComputedRef,ref } from "vue"; */
import { useRoute, useRouter } from "vue-router";
import { loading } from "@/shared.js";
//import { AutoComplete } from "@hcd-bsas/vue3-components";

//components

//store

import { useConfigStore } from "@/stores/configgral";
import { usepedidosCuentaStore} from "@/stores/Bapro/PedidoCuentas/pedidosCuenta";

//entities
//import type  Pedido from "@/entities/Bapro/PedidosCuenta/Pedidocabecera";

const router = useRouter();
const route = useRoute();

const configStore = useConfigStore();
const pedidoCuentaStore = usepedidosCuentaStore();


/* const pedidoCabecera: ComputedRef<Pedido[]> = computed(
  () => pedidoCuentaStore.listadoPedidoCabecera
); */


const data = reactive({
    fecha_desde: "" as string,
    fecha_hasta: "" as string,
});


onMounted(async () => {

    loading.show();
    await configStore.updateListadoPeriodo();
    var anio = configStore.listadoPeriodoActivo[0]?.anioActivo;
    data.fecha_desde = anio + "-03-01";
    data.fecha_hasta = anio + "-12-31";
    
    await busquedaCupos();
    loading.hide();
});



async function busquedaCupos() {
    loading.show();
     await pedidoCuentaStore.updateListadoCargosCabecera({
        f_desde:data.fecha_desde,
        f_hasta: data.fecha_hasta,
     });
     
    loading.hide();

}


</script>
